import type { Uppy, UIPlugin, UIPluginOptions } from '@uppy/core';
import type { ElementRef, SimpleChanges } from '@angular/core';
import type { DragDropOptions } from '@uppy/drag-drop';
import type { StatusBarOptions } from '@uppy/status-bar';
import type { ProgressBarOptions } from '@uppy/progress-bar';
import { Body, Meta } from '@uppy/utils/lib/UppyFile';
export declare abstract class UppyAngularWrapper<M extends Meta, B extends Body, Opts extends UIPluginOptions, PluginType extends UIPlugin<Opts, M, B> = UIPlugin<Opts, M, B>> {
    abstract props: DragDropOptions | StatusBarOptions | ProgressBarOptions;
    abstract el: ElementRef;
    abstract uppy: Uppy<M, B>;
    private options;
    plugin: PluginType | undefined;
    onMount(defaultOptions: Partial<Opts>, plugin: new (uppy: any, opts?: Opts) => UIPlugin<Opts, M, B>): void;
    handleChanges(changes: SimpleChanges, plugin: any): void;
    uninstall(uppy?: Uppy<M, B>): void;
}
